{
  "name": "nest",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@hapi/joi": "^17.1.1",
    "@nestjs/common": "^7.0.0",
    "@nestjs/config": "^0.4.2",
    "@nestjs/core": "^7.0.0",
    "@nestjs/jwt": "^7.0.0",
    "@nestjs/mongoose": "^7.0.1",
    "@nestjs/passport": "^7.0.0",
    "@nestjs/platform-express": "^7.0.0",
    "@nestjs/platform-socket.io": "^7.0.13",
    "@nestjs/swagger": "^4.5.5",
    "@nestjs/websockets": "^7.0.13",
    "bcrypt": "^4.0.1",
    "class-transformer": "^0.2.3",
    "class-validator": "^0.12.2",
    "cloudinary": "^1.22.0",
    "csurf": "^1.11.0",
    "googleapis": "^55.0.0",
    "handlebars": "^4.7.6",
    "helmet": "^4.2.0",
    "ioredis": "^4.17.3",
    "moment": "^2.25.3",
    "mongoose": "^5.9.13",
    "nodemailer": "^6.4.8",
    "passport": "^0.4.1",
    "passport-jwt": "^4.0.0",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^6.5.4",
    "swagger-ui-express": "^4.1.4"
  },
  "devDependencies": {
    "@commitlint/cli": "^8.3.5",
    "@commitlint/config-conventional": "^8.3.4",
    "@nestjs/cli": "^7.0.0",
    "@nestjs/schematics": "^7.0.0",
    "@nestjs/testing": "^7.0.0",
    "@types/bcrypt": "^3.0.0",
    "@types/csurf": "^1.11.0",
    "@types/express": "^4.17.3",
    "@types/hapi__joi": "^17.1.0",
    "@types/ioredis": "^4.17.3",
    "@types/jest": "25.1.4",
    "@types/moment": "^2.13.0",
    "@types/mongoose": "^5.7.19",
    "@types/node": "^13.9.1",
    "@types/nodemailer": "^6.4.0",
    "@types/passport-jwt": "^3.0.3",
    "@types/ramda": "^0.27.4",
    "@types/socket.io": "^2.1.8",
    "@types/supertest": "^2.0.8",
    "@typescript-eslint/eslint-plugin": "^2.23.0",
    "@typescript-eslint/parser": "^2.23.0",
    "eslint": "^6.8.0",
    "eslint-config-airbnb-base": "^14.1.0",
    "eslint-config-prettier": "^6.10.0",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-jest": "^23.8.2",
    "eslint-plugin-ramda": "^2.5.1",
    "eslint-plugin-security": "^1.4.0",
    "husky": "^4.2.5",
    "jest": "^25.1.0",
    "prettier": "^1.19.1",
    "supertest": "^4.0.2",
    "ts-jest": "25.2.1",
    "ts-loader": "^6.2.1",
    "ts-node": "^8.6.2",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^3.7.4"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  },
  "husky": {
    "hooks": {
      "commit-msg": "[[ -n $HUSKY_BYPASS ]] || commitlint -E HUSKY_GIT_PARAMS",
      "pre-push": "yarn lint"
    }
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ]
  }
}
